<?php

/**
 * @module          Contacts
 * @author          cms-lab
 * @copyright       2020-2021 cms-lab
 * @link            https://cms-lab.com
 * @license         Custom License
 * @license_terms   see license
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

$table_fields = "
    `group_id` int(11) NOT NULL AUTO_INCREMENT,
    `group_name` varchar(256) NOT NULL DEFAULT 'none',
    `active` int(1) NOT NULL DEFAULT '1',
    PRIMARY KEY ( `group_id` )
";
LEPTON_handle::install_table("mod_contacts_groups", $table_fields);

$field_values="
	(1,'none',1)
";
LEPTON_handle::insert_values("mod_contacts_groups", $field_values);


$table_fields = "
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `name1` varchar(255) NOT NULL DEFAULT '',
	  `name2` varchar(255) NOT NULL DEFAULT '',
	  `photo` varchar(255) NOT NULL DEFAULT 'image.png',
	  `group_id` int(11) NOT NULL DEFAULT 0,
	  `role` varchar(255) NOT NULL DEFAULT '',
	  `office_extension` text,
	  `office_street` varchar(255) NOT NULL DEFAULT '',
	  `office_zip` varchar(255) NOT NULL DEFAULT '',
	  `office_city` varchar(255) NOT NULL DEFAULT '',
	  `office_country` varchar(255) NOT NULL DEFAULT '',
	  `office_fon` varchar(255) NOT NULL DEFAULT '',
	  `office_mobile` varchar(255) NOT NULL DEFAULT '',
	  `office_email1` varchar(255) NOT NULL DEFAULT '',
	  `office_email2` varchar(255) NOT NULL DEFAULT '',
	  `office_www` varchar(255) NOT NULL DEFAULT '',
	  `office_adress` text,
	  `office_memo` text,
	  `private_extension` text,
	  `private_street` varchar(255) NOT NULL DEFAULT '',
	  `private_zip` varchar(255) NOT NULL DEFAULT '',
	  `private_city` varchar(255) NOT NULL DEFAULT '',
	  `private_country` varchar(255) NOT NULL DEFAULT '',
	  `private_fon` varchar(255) NOT NULL DEFAULT '',
	  `private_mobile` varchar(255) NOT NULL DEFAULT '',
	  `private_email` varchar(255) NOT NULL DEFAULT '',
	  `private_www` varchar(255) NOT NULL DEFAULT '',
	  `private_adress` text,
	  `private_memo` text,
	  `active` int(1) NOT NULL DEFAULT 1,
		PRIMARY KEY ( `id` )
";
LEPTON_handle::install_table("mod_contacts", $table_fields);

$field_values="
	(1, '', 'Name', 'image.png', 0, '', NULL, '', '', '', '', '', '', '', '', '', NULL, NULL, NULL, '', '', '', '', '', '', '', '', NULL, NULL, 1);
";
LEPTON_handle::insert_values("mod_contacts", $field_values);

//  Make photo files dir
require_once(LEPTON_PATH.'/framework/summary.functions.php');
make_dir(LEPTON_PATH.MEDIA_DIRECTORY.'/contacts');

//  copy index file
copy(
	LEPTON_PATH.'/modules/contacts/index.php',
	LEPTON_PATH.MEDIA_DIRECTORY.'/contacts/index.php'
);

//  copy standard photo
copy(
	'https://cms-lab.com/_documentation/media/contacts/image.png',
	LEPTON_PATH.MEDIA_DIRECTORY.'/contacts/image.png'
);
?>